LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XDocumentPropertiesSupplier Interface Referencepublished

provides access to the XDocumentProperties instance of a document. More...

`import"XDocumentPropertiesSupplier.idl";`

Inheritance diagram for XDocumentPropertiesSupplier:

## Public Member Functions
XDocumentProperties | getDocumentProperties ()
| provides the document properties object. More...

## Detailed Description

provides access to the XDocumentProperties instance of a document.

A DocumentProperties instance is available on loaded documents via this supplier interface.

Since
  OOo 3.0

See also
  XDocumentProperties
  DocumentProperties

Developers Guide
  Office Development - Component - Models - XDocumentPropertiesSupplier
  Text Documents - Settings - General Document Information

## Member Function Documentation

## ◆ getDocumentProperties()

XDocumentProperties getDocumentProperties | ( |  | ) |

provides the document properties object.

Returns
  an object of type XDocumentProperties

The documentation for this interface was generated from the following file:

- com/sun/star/document/XDocumentPropertiesSupplier.idl